return function(_, Duration)

function Duration:__unm()
    return -1 * self
end

function Duration.__sub(duration1, duration2)
    return duration1 + -duration2
end

function Duration.__eq(duration1, duration2)
    return duration1:years() == duration2:years()
        and duration1:months() == duration2:months()
        and duration1:days() == duration2:days()
        and duration1:hours() == duration2:hours()
        and duration1:minutes() == duration2:minutes()
        and duration1:seconds() == duration2:seconds()
end

end
